tests_: Added tests for clipproperties.TransformationProperties
ClosedPublic

Authored by stefanzzz on Jul 4 2017, 4:03 PM.

Diff Detail

Repository
rPTV Pitivi
thiblahute requested changes to this revision.Jul 7 2017, 2:04 AM

Please make one test per tested features, it makes debugging them simpler/quicker and give more information about what is being tested.

This revision now requires changes to proceed.Jul 7 2017, 2:04 AM
stefanzzz updated this revision to Diff 6029.Jul 11 2017, 2:42 PM

Breaked the unit tests into simpler unit tests that test one thing at a time.

stefanzzz updated this revision to Diff 6032.EditedJul 11 2017, 2:49 PM

No changes here.

stefanzzz updated this revision to Diff 6055.Jul 17 2017, 4:01 PM

No significant changes.

thiblahute requested changes to this revision.Jul 18 2017, 7:22 PM
thiblahute added inline comments.
tests/test_clipproperties.py
246

should be with mock.xxxx here so that the mockey patching goes away as required when it gets outside of scope.

251

keep track of the current index and use the right index instead of just checking it is in (use enumerate).

(I believe control_source.get_all() returns and ordered list).

262

(well clips then ? :-))

288

with...

This revision now requires changes to proceed.Jul 18 2017, 7:22 PM
stefanzzz updated this revision to Diff 6070.Jul 19 2017, 2:22 PM
stefanzzz marked 3 inline comments as done.

Made required changes.

stefanzzz marked an inline comment as done.Jul 19 2017, 2:22 PM
thiblahute accepted this revision.Jul 19 2017, 3:56 PM
thiblahute added inline comments.
tests/test_clipproperties.py
262

aleb would say clip, = self.addClipsSimple(timeline, 1) πŸ—‘

This revision is now accepted and ready to land.Jul 19 2017, 3:56 PM
stefanzzz updated this revision to Diff 6319.Aug 18 2017, 5:16 PM
stefanzzz marked an inline comment as done.

rebase

This revision was automatically updated to reflect the committed changes.